﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ZoomingChart
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();

        }
        public Page1(double xzoomFactor , double xzoomPosition, double yzoomFactor , double yzoomPosition)
        {
            SfChart chart = new SfChart();
            chart.Margin = new Thickness(10);

            CategoryAxis xaxis = new CategoryAxis();
            xaxis.ZoomFactor = xzoomFactor;
            xaxis.ZoomPosition = xzoomPosition;
            chart.PrimaryAxis = xaxis;

            NumericalAxis yaxis = new NumericalAxis();
            yaxis.ZoomPosition = yzoomPosition;
            yaxis.ZoomFactor = yzoomFactor;
            chart.SecondaryAxis = yaxis;

            BarSeries bar = new BarSeries()
            {
                ItemsSource = new CommoditiesPrices().CommodityDetails,
                XBindingPath = "Commodity",
                YBindingPath = "ChangingPrice",
                Palette = ChartColorPalette.Metro
            };
            chart.Series.Add(bar);
            this.Content = chart;
        }
    }
}
